resources:
- manager.yaml

generatorOptions:
  disableNameSuffixHash: true

configMapGenerator:
- name: manager-config
  files:
  - controller_manager_config.yaml
- name: dockerimage-workaround-map-co
  envs:
    - env

# See https://github.com/kubernetes-sigs/kustomize/issues/51#issuecomment-1100642096
replacements:
  - source:
      kind: ConfigMap
      name: dockerimage-workaround-map-co
      fieldPath: data.DOCKER_IMAGE
    targets:
      - select:
          kind: Deployment
          name: controller-manager
        fieldPaths:
          - spec.template.spec.containers.[name=manager].image
